Get an Interac auto-deposit email
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "01994c21-a4d0-7000-8000-123456789abc",
"email": "payments@example.com",
"status": "PENDING",
"created_at": "2026-09-16T10:00:00.000000Z",
"updated_at": "2026-09-16T10:00:00.000000Z"
}
}{
"message": "<string>",
"request_id": "<string>"
}{
"message": "<string>",
"request_id": "<string>"
}{
"message": "<string>",
"request_id": "<string>"
}{
"message": "<string>",
"request_id": "<string>"
}Interac Auto Deposit Email
Get an Interac auto-deposit email
Read one live registration owned by your business. Use the ID returned when you created or listed the registration. The response reflects the latest admin status update. An unknown ID, deleted record, or another business’s record returns 404. API services must be enabled.
GET
/
api
/
external
/
interac-auto-deposit-email
/
{id}
Get an Interac auto-deposit email
Authorizations
Use a Bearer token from POST /oauth/token. The token must include the required individual scope.
Path Parameters
Registration ID. This is not the email address.
Response
Registration owned by your business.
Show child attributes
Show child attributes
Was this page helpful?